import request from '@/utils/new-request'

export function addEUExchangeRate(data) {
  return request({
    url: '/euExchangeRate/addEUExchangeRate',
    method: 'post',
    data,
    timeout: 20 * 1000
  })
}

export function changeEUExchangeRate(data) {
  return request({
    url: '/euExchangeRate/changeEUExchangeRate',
    method: 'post',
    data,
    timeout: 20 * 1000
  })
}

export function changeEUExchangeDetail(data) {
  return request({
    url: '/euExchangeRate/changeEUExchangeDetail',
    method: 'post',
    data,
    timeout: 20 * 1000
  })
}

export function getPageResult(data) {
  return request({
    url: '/euExchangeRate/GetPageResult',
    method: 'post',
    data,
    timeout: 20 * 1000
  })
}

export function GetList(id) {
  return request({
    url: '/euExchangeRate/GetList',
    method: 'get',
    params: { id },
    timeout: 20 * 1000
  })
}
